Groovy 1.7.10

## groovy.time
[Java] Class TimeDatumDependentDuration

    java.lang.Object
      groovy.time.BaseDuration
          groovy.time.DatumDependentDuration
              groovy.time.TimeDatumDependentDuration

    public class TimeDatumDependentDuration
    extends DatumDependentDuration

TimeDatumDuration represents a time period which results from an arithmetic operation between a TimeDuration object and a DatumDuration object

Authors:
  John Wilson tug@wilson.co.uk

Field Summary

Fields inherited from class BaseDuration
days, hours, millis, minutes, months, seconds, years

Constructor Summary
`TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

Method Summary
`From` | `getFrom()`
`DatumDependentDuration` | `minus(Duration rhs)`
`DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
`DatumDependentDuration` | `plus(Duration rhs)`
`DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

Methods inherited from class DatumDependentDuration
getAgo, getFrom, getMonths, getYears, minus, minus, plus, plus, plus, plus, toMilliseconds

Methods inherited from class BaseDuration
getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TimeDatumDependentDuration

    public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

Method Detail

### getFrom

    public From getFrom()

### minus

    public DatumDependentDuration minus(Duration rhs)

### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)

### plus

    public DatumDependentDuration plus(Duration rhs)

### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)

Copyright © 2003-2010 The Codehaus. All rights reserved.